cURL
curl --request GET \
--url https://api.recoupable.com/api/accounts/{id}/subscription \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recoupable.com/api/accounts/{id}/subscription"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recoupable.com/api/accounts/{id}/subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recoupable.com/api/accounts/{id}/subscription",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recoupable.com/api/accounts/{id}/subscription"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.recoupable.com/api/accounts/{id}/subscription")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recoupable.com/api/accounts/{id}/subscription")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"isPro": true,
"status": "active",
"plan": "pro",
"source": "account"
}{
"error": "Unauthorized"
}{
"error": "Account not found"
}{
"error": "Account not found"
}Billing
Get Account Subscription
Retrieve the subscription for an account, directly or via an organization.
GET
/
api
/
accounts
/
{id}
/
subscription
cURL
curl --request GET \
--url https://api.recoupable.com/api/accounts/{id}/subscription \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recoupable.com/api/accounts/{id}/subscription"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recoupable.com/api/accounts/{id}/subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recoupable.com/api/accounts/{id}/subscription",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recoupable.com/api/accounts/{id}/subscription"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.recoupable.com/api/accounts/{id}/subscription")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recoupable.com/api/accounts/{id}/subscription")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"isPro": true,
"status": "active",
"plan": "pro",
"source": "account"
}{
"error": "Unauthorized"
}{
"error": "Account not found"
}{
"error": "Account not found"
}Authorizations
apiKeyAuthbearerAuth
Your Recoup API key. Learn more.
Path Parameters
The unique identifier (UUID) of the account. Must be the authenticated account or another accessible via organization membership.
Response
Subscription retrieved successfully
True when the account has an active paid subscription, directly or via an organization.
Lifecycle state of the subscription. none when no subscription exists.
Available options:
active, trialing, canceled, past_due, none Example:
"active"
Plan identifier (e.g. pro). Null when no subscription exists.
Example:
"pro"
Origin of the subscription. account for direct, organization when covered by an organization. Null when no subscription exists.
Available options:
account, organization Example:
"account"
Was this page helpful?
